> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List the app-event catalog

> Selectable app-based trigger events (e.g. app.whatsapp.message_received) with their predefined payload — served from the JSON definition registry (always in sync, no DB).



## OpenAPI

````yaml /api-reference/workflows.yaml get /app-events/catalog
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /app-events/catalog:
    get:
      tags:
        - App Events
      summary: List the app-event catalog
      description: >-
        Selectable app-based trigger events (e.g. app.whatsapp.message_received)
        with their predefined payload — served from the JSON definition registry
        (always in sync, no DB).
      operationId: listAppEventCatalog
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/AppEventCatalogEntry'
                    type: array
                required:
                  - data
                type: object
          description: App-event catalog
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const catalogs = await client.appEvents.catalog.list();

            console.log(catalogs.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            catalogs = client.app_events.catalog.list()
            print(catalogs.data)
components:
  schemas:
    AppEventCatalogEntry:
      properties:
        appEventType:
          type: string
        appName:
          type: string
        category:
          enum:
            - app
            - system
            - device
            - webhook
          type: string
        label:
          type: string
        packageName:
          type:
            - string
            - 'null'
        payloadSchema:
          items:
            properties:
              description:
                type: string
              example: {}
              name:
                type: string
              type:
                enum:
                  - string
                  - number
                  - boolean
                  - object
                  - array
                type: string
            required:
              - name
              - type
              - description
            type: object
          type: array
        sourceEventType:
          type: string
      required:
        - appEventType
        - label
        - appName
        - category
        - packageName
        - sourceEventType
        - payloadSchema
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.